flake8:
  image: python:3-alpine
  tags:
    - docker
  before_script:
    - python -m pip install --upgrade pip
    - pip3 install flake8
  script:
    # Run flake8 (pycodestyle + pyflakes) check.
    - flake8 .
